%define anolis_release 1

Name:		startup-notification
Version:	0.12
Release:	%{anolis_release}%{?dist}
Summary:	Library for tracking application startup

License:	LGPLv2
URL:		http://www.freedesktop.org/software/startup-notification/
Source0:	https://www.freedesktop.org/software/startup-notification/releases/startup-notification-0.12.tar.gz

BuildRequires:	make
BuildRequires:  gcc
BuildRequires: 	libX11-devel
BuildRequires: 	libXt-devel
BuildRequires: 	xcb-util-devel

%description
This package contains libstartup-notification which implements a
startup notification protocol. Using this protocol a desktop
environment can track the launch of an application and provide
feedback such as a busy cursor, among other features.

%package 	devel
Summary: 	Development portions of startup-notification
Requires: 	%{name} = %{version}-%{release}
Requires: 	libX11-devel
Requires: 	pkgconfig
 
%description 	devel
Header files and static libraries for libstartup-notification.

%prep
%autosetup -n %{name}-%{version} -p1
mkdir examples
cp -a test/*.c test/*.h examples

%build
%configure --disable-static
%make_build

%install
%make_install
/bin/rm -f $RPM_BUILD_ROOT%{_libdir}/*.{a,la}

%ldconfig_scriptlets

%files
%license COPYING
%doc doc/startup-notification.txt AUTHORS ChangeLog NEWS
%{_libdir}/lib*.so.*

%files 		devel
%doc examples 
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*
%{_includedir}/*

%changelog
* Tue Apr 19 2022 happy_orange <songnannan@linux.alibaba.com> - 0.12-1
- Init package from upstream
